PETSc version 3.15.5
Fix/Edit manual page

# KSPGetRhs

Gets the right-hand-side vector for the linear system to be solved.

### Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode  KSPGetRhs(KSP ksp,Vec *r)

Not Collective

### Input Parameter

| ksp | - iterative context obtained from KSPCreate()

### Output Parameter

| r | - right-hand-side vector

### See Also

KSPGetSolution(), KSPSolve(), KSP

### Level

developer

### Location

src/ksp/ksp/interface/itfunc.c

### Examples

src/ksp/ksp/tutorials/ex25.c.html
src/ksp/ksp/tutorials/ex29.c.html
src/ksp/ksp/tutorials/ex34.c.html
src/ksp/ksp/tutorials/ex45.c.html
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages